<?php

use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});

Route::group(['prefix' => 'categoria'], function () {
	Route::get('/', 'CategoriaController@getIndex')->name('categoria.index');
	Route::get('/create', 'CategoriaController@getCreate')->name('categoria.create');
	Route::post('/create', 'CategoriaController@postCreate')->name('categoria.create');
	Route::get('/edit/{id}', 'CategoriaController@getEdit')->name('categoria.edit');
	Route::put('/edit', 'CategoriaController@putEdit')->name('categoria.edit');
	Route::get('/delete/{id}', 'CategoriaController@getDelete')->name('categoria.delete');
});
Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
